workload:
  nameOverride: ""
  deployment:
    kind: CronJob
    serviceAccountName: deployer
    image:
      name: alpine
    cronjob:
      suspend: true
      concurrencyPolicy: Forbid
    job:
      backoffLimit: 0
    pod:
      restartPolicy: Never
    command:
    - sh
    - -xc
    - |
      read namespace </var/run/secrets/kubernetes.io/serviceaccount/namespace
      entrypoint.sh deploy --tags=$namespace

  references:
    environment:
      YAMLSECRETS_KEY: secret/deployer-yamlsecrets/YAMLSECRETS_KEY

